#!/usr/bin/sh
#
# Two parameters are optional:
# - the host server of the database
# - the port of the database
#

# Database Name
DB_NAME="mysql"

# Database server (host)
DB_HOST="localhost"

# Database server port
DB_PORT="3306"

# Parsing of the command-line options
if [ "$1" != "" ]; then
	DB_HOST=$1
fi 

if [ "$2" != "" ]; then
	DB_PORT=$2
fi


if [ "$1" = "--help" -o  "$1" = "-h" -o  "$1" = "-H" ]; then
	echo "Usage: $0 [ <Host> <Port> ]"
	echo ""
	exit -1
fi

#
echo "Accessing MySQL database hosted on $DB_HOST:$DB_PORT to create database '${DB_NAME}'."
echo "To create a database, username and password of an administrator-like MySQL account"
echo "are required. On most of MySQL databases, the 'root' MySQL account has all"
echo "the administrative rights, but you may want to use a less-privileged MySQL"
echo "administrator account. Type the username of administrator followed by "
echo "[Enter]. To discontinue, type CTRL-C."
read userinput_adminname

echo "Type $userinput_adminname's password followed by [Enter]"
read -s userinput_pw

# Database user
DB_USER=${userinput_adminname}

# Database password
DB_PASSWD=${userinput_pw}

#
createTvlSimUser() {
    echo "Creating the '${DB_USER}' user within the database..."
    mysql -u ${DB_USER} --password=${DB_PASSWD} -P ${DB_PORT} -h ${DB_HOST} ${DB_NAME} < ${SQL_FILE}
    mysql -u ${DB_USER} --password=${DB_PASSWD} -P ${DB_PORT} -h ${DB_HOST} -e "flush privileges"
    echo "... Done: the '${DB_USER}' user has been created."
}

# Creating the TvlSim user
SQL_FILE="/usr/share/stdair/db/data/create_tvlsim_user.sql"
createTvlSimUser

