#!/usr/bin/sh
#
# Two parameters are optional:
# - the host server of the database
# - the port of the database
#

if [ "$1" = "-h" -o "$1" = "--help" ];
then
	echo "Usage: $0 [<Database Server Hostname> [<Database Server Port>]]"
	echo ""
	exit -1
fi

##
# Database Server Hostname
DB_HOST="localhost"
if [ "$1" != "" ];
then
	DB_HOST="$1"
fi

# Database Server Port
DB_PORT="3306"
if [ "$2" != "" ];
then
	DB_PORT="$2"
fi

# Database User
DB_USER="airinv"

# Database Password
DB_PASSWD="airinv"

# Database Name
DB_NAME="sim_airinv"

##
# Create the tables
SQL_FILE="/usr/share/stdair/db/data/create_airinv_tables.sql"
echo "Creating the tables for '${DB_USER}@${DB_NAME}'..."
mysql -u ${DB_USER} --password=${DB_PASSWD} -P ${DB_PORT} -h ${DB_HOST} ${DB_NAME} < ${SQL_FILE}
echo "... Done: the tables have been created for '${DB_USER}@${DB_NAME}'."

##
loadTableIntoDB() {
    CSV_FILE="/usr/share/stdair/db/data/${DB_TABLE}.csv"
    SQL_STATEMENT="load data local infile '${CSV_FILE}' ignore"
    SQL_STATEMENT="${SQL_STATEMENT} into table ${DB_TABLE} fields terminated by ','"
    SQL_STATEMENT="${SQL_STATEMENT} enclosed by '' escaped by '\\\\' ignore 1 lines"
    echo "Data will be loaded into the '${DB_TABLE}' table for '${DB_USER}@${DB_NAME}'..."
    mysql -u ${DB_USER} --password=${DB_PASSWD} -P ${DB_PORT} -h ${DB_HOST} ${DB_NAME} -e "${SQL_STATEMENT}"
    echo "... Done: data has been loaded into the '${DB_TABLE}' table for '${DB_USER}@${DB_NAME}'."
}

##
# Load the data into the tables
DB_TABLE="airlines"
loadTableIntoDB
